Bug 1330470 - [abrt] fish: fish killed by SIGSEGV
Summary: [abrt] fish: fish killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fish
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andy Lutomirski
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:37684c4d10cede5c81dd73bed91...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-26 10:07 UTC by Matej
Modified: 2016-07-27 19:17 UTC (History)
4 users (show)

Fixed In Version: fish-2.3.1-1.fc24 fish-2.3.1-1.fc23 fish-2.3.1-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-12 15:02:59 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (21.17 KB, text/plain)
2016-04-26 10:07 UTC, Matej
no flags Details
File: cgroup (148 bytes, text/plain)
2016-04-26 10:07 UTC, Matej
no flags Details
File: core_backtrace (6.70 KB, text/plain)
2016-04-26 10:07 UTC, Matej
no flags Details
File: dso_list (1.18 KB, text/plain)
2016-04-26 10:07 UTC, Matej
no flags Details
File: environ (1.43 KB, text/plain)
2016-04-26 10:07 UTC, Matej
no flags Details
File: exploitable (95 bytes, text/plain)
2016-04-26 10:07 UTC, Matej
no flags Details
File: limits (1.29 KB, text/plain)
2016-04-26 10:07 UTC, Matej
no flags Details
File: maps (5.95 KB, text/plain)
2016-04-26 10:07 UTC, Matej
no flags Details
File: mountinfo (3.53 KB, text/plain)
2016-04-26 10:07 UTC, Matej
no flags Details
File: namespaces (85 bytes, text/plain)
2016-04-26 10:07 UTC, Matej
no flags Details
File: open_fds (555 bytes, text/plain)
2016-04-26 10:07 UTC, Matej
no flags Details
File: proc_pid_status (1.05 KB, text/plain)
2016-04-26 10:08 UTC, Matej
no flags Details
File: var_log_messages (223 bytes, text/plain)
2016-04-26 10:08 UTC, Matej
no flags Details

Description Matej 2016-04-26 10:07:39 UTC
Version-Release number of selected component:
fish-2.2.0-11.fc23

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 3
cmdline:        fish
executable:     /usr/bin/fish
global_pid:     6653
kernel:         4.4.6-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 ??
 #1 operator new at ../../../../libstdc++-v3/libsupc++/new_op.cc:50
 #2 std::__cxx11::basic_string<wchar_t, std::char_traits<wchar_t>, std::allocator<wchar_t> >::reserve at /usr/src/debug/gcc-5.3.1-20160406/obj-x86_64-redhat-linux/x86_64-redhat-linux/libstdc++-v3/include/bits/basic_string.tcc:297
 #3 str2wcs_internal at common.cpp:172
 #4 str2wcstring[abi:cxx11](char const*) at common.cpp:237
 #5 wreaddir_resolving at wutil.cpp:76
 #6 is_potential_path at highlight.cpp:252
 #7 node_is_potential_path at highlight.cpp:1065
 #8 highlighter_t::highlight at highlight.cpp:1471
 #9 highlight_shell at highlight.cpp:1497

Comment 1 Matej 2016-04-26 10:07:45 UTC
Created attachment 1150807 [details]
File: backtrace

Comment 2 Matej 2016-04-26 10:07:47 UTC
Created attachment 1150808 [details]
File: cgroup

Comment 3 Matej 2016-04-26 10:07:48 UTC
Created attachment 1150809 [details]
File: core_backtrace

Comment 4 Matej 2016-04-26 10:07:50 UTC
Created attachment 1150810 [details]
File: dso_list

Comment 5 Matej 2016-04-26 10:07:51 UTC
Created attachment 1150811 [details]
File: environ

Comment 6 Matej 2016-04-26 10:07:53 UTC
Created attachment 1150812 [details]
File: exploitable

Comment 7 Matej 2016-04-26 10:07:54 UTC
Created attachment 1150813 [details]
File: limits

Comment 8 Matej 2016-04-26 10:07:55 UTC
Created attachment 1150814 [details]
File: maps

Comment 9 Matej 2016-04-26 10:07:57 UTC
Created attachment 1150815 [details]
File: mountinfo

Comment 10 Matej 2016-04-26 10:07:58 UTC
Created attachment 1150816 [details]
File: namespaces

Comment 11 Matej 2016-04-26 10:07:59 UTC
Created attachment 1150817 [details]
File: open_fds

Comment 12 Matej 2016-04-26 10:08:01 UTC
Created attachment 1150818 [details]
File: proc_pid_status

Comment 13 Matej 2016-04-26 10:08:02 UTC
Created attachment 1150819 [details]
File: var_log_messages

Comment 14 Fedora Update System 2016-07-07 14:12:28 UTC
fish-2.3.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f400b76b0a

Comment 15 Fedora Update System 2016-07-07 14:13:08 UTC
fish-2.3.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f524170748

Comment 16 Fedora Update System 2016-07-07 14:13:40 UTC
fish-2.3.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-11c320ee6c

Comment 17 Fedora Update System 2016-07-10 03:18:24 UTC
fish-2.3.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f400b76b0a

Comment 18 Fedora Update System 2016-07-10 03:53:15 UTC
fish-2.3.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f524170748

Comment 19 Fedora Update System 2016-07-10 15:58:55 UTC
fish-2.3.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-11c320ee6c

Comment 20 Fedora Update System 2016-07-12 15:02:37 UTC
fish-2.3.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2016-07-19 22:23:36 UTC
fish-2.3.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2016-07-27 19:17:40 UTC
fish-2.3.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.